#ifndef POINT_H
#define POINT_H

#include <iostream>


class Point
{
public:
	double x, y;
	Point *next, *previous;
	friend Point operator + (Point &a, Point &b);
	friend Point operator - (Point &a, Point &b);
	friend Point operator * (const double &a, Point &b);
	friend Point operator * (Point &a, const double &b);
	Point();
	Point(double a, double b);
	double Length();
	double Dot(Point b);
	void Norm();
	double Ang(Point b);
	double Ang();
	void Rot(double a);
};
#endif